Package org.apache.qpid.proton.codec

# Class UUIDType

java.lang.Object
org.apache.qpid.proton.codec.UUIDType

All Implemented Interfaces:
  `AMQPType<UUID>`, `PrimitiveType<UUID>`

public class UUIDType extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, UUID value)`
`Collection<org.apache.qpid.proton.codec.UUIDType.UUIDEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.UUIDType.UUIDEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.UUIDType.UUIDEncoding`
`getEncoding(UUID val)`
`Class<UUID>`
`getTypeClass()`
`final void`
`write(UUID val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<UUID> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.UUIDType.UUIDEncoding getEncoding(UUID val)

### fastWrite

public void fastWrite(EncoderImpl encoder, UUID value)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.UUIDType.UUIDEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.UUIDType.UUIDEncoding> getAllEncodings()

### write

public final void write(UUID val)

Specified by:
  `write` in interface `AMQPType<T>`